/*
 hangup.c : GMasqDialer

    Copyright (C) 1998-1999 Timo Sirainen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "gmasqdialer.h"

void menu_hangup(void)
{
    GtkObject *object;

    if (!mserver_connected())
    {
        masqerror(_("You have to connect to masqserver first."));
        return;
    }

    //object = GTK_OBJECT(GTK_LIST(GTK_COMBO(combo)->list)->selection->data);

    if (*autorun_shutdown != '\0')
    {
        /* automatically run command before hang up */
        system(autorun_shutdown); /* we want this to block, so ppp doesn't hang up
                             before we're finished! */
    }

    mserver_hangup();
}

